<?php

	App::uses('VebraAppModel', 'Vebra.Model');
	App::uses('Vebra', 'Vebra.Model');

	/**
	 * Description of Branch
	 *
	 * @author Luke
	 */
	class Branch extends VebraAppModel {

		public $hasMany = array(
			'Property'
		);

		public function __construct($id = false, $table = null, $ds = null) {
			parent::__construct($id, $table, $ds);
			$this->Vebra = new Vebra();
		}

		/**
		 * Get all branches from Vebra (including branch details)
		 * @return array
		 */
		public function getVebraBranches() {
			return $this->Vebra->getBranches();
		}

	}
